<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the classes, structs, unions and interfaces with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><b>std</b></td><td class="desc">STL namespace </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classstd_1_1numeric__limits_3_01units_1_1unit__t_3_01_units_00_01_t_00_01_non_linear_scale_01_4_01_4.html" target="_self">numeric_limits&lt; units::unit_t&lt; Units, T, NonLinearScale &gt; &gt;</a></td><td class="desc"></td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceunits.html" target="_self">units</a></td><td class="desc">Unit Conversion Library namespace </td></tr>
<tr id="row_1_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_0_" class="arrow" onclick="toggleFolder('1_0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceunits_1_1traits.html" target="_self">traits</a></td><td class="desc">Namespace representing type traits which can access the properties of types provided by the units library </td></tr>
<tr id="row_1_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1has__decibel__scale.html" target="_self">has_decibel_scale</a></td><td class="desc">Trait which tests whether a type is inherited from a decibel scale </td></tr>
<tr id="row_1_0_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1has__linear__scale.html" target="_self">has_linear_scale</a></td><td class="desc">Trait which tests whether a type is inherited from a linear scale </td></tr>
<tr id="row_1_0_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__acceleration__unit.html" target="_self">is_acceleration_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__angle__unit.html" target="_self">is_angle_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__angular__velocity__unit.html" target="_self">is_angular_velocity_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_5_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__area__unit.html" target="_self">is_area_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_6_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__base__unit.html" target="_self">is_base_unit</a></td><td class="desc">Trait which tests if a class is a <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> type </td></tr>
<tr id="row_1_0_7_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__capacitance__unit.html" target="_self">is_capacitance_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_8_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__charge__unit.html" target="_self">is_charge_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_9_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__concentration__unit.html" target="_self">is_concentration_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_10_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__conductance__unit.html" target="_self">is_conductance_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_11_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__convertible__unit.html" target="_self">is_convertible_unit</a></td><td class="desc">Trait which checks whether two units can be converted to each other </td></tr>
<tr id="row_1_0_12_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__convertible__unit__t.html" target="_self">is_convertible_unit_t</a></td><td class="desc">Trait which tests whether two container types derived from <code><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a></code> are convertible to each other </td></tr>
<tr id="row_1_0_13_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__current__unit.html" target="_self">is_current_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_14_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__data__transfer__rate__unit.html" target="_self">is_data_transfer_rate_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_15_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__data__unit.html" target="_self">is_data_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_16_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__density__unit.html" target="_self">is_density_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_17_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__dimensionless__unit.html" target="_self">is_dimensionless_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_18_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__energy__unit.html" target="_self">is_energy_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_19_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__force__unit.html" target="_self">is_force_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_20_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__frequency__unit.html" target="_self">is_frequency_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_21_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__illuminance__unit.html" target="_self">is_illuminance_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_22_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__impedance__unit.html" target="_self">is_impedance_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_23_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__inductance__unit.html" target="_self">is_inductance_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_24_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__length__unit.html" target="_self">is_length_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_25_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__luminous__flux__unit.html" target="_self">is_luminous_flux_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_26_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__luminous__intensity__unit.html" target="_self">is_luminous_intensity_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_27_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__magnetic__field__strength__unit.html" target="_self">is_magnetic_field_strength_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_28_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__magnetic__flux__unit.html" target="_self">is_magnetic_flux_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_29_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__mass__unit.html" target="_self">is_mass_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_30_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__nonlinear__scale.html" target="_self">is_nonlinear_scale</a></td><td class="desc">Trait which tests that <code>class T</code> meets the requirements for a non-linear scale </td></tr>
<tr id="row_1_0_31_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__power__unit.html" target="_self">is_power_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_32_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__pressure__unit.html" target="_self">is_pressure_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_33_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__radioactivity__unit.html" target="_self">is_radioactivity_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_34_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__ratio.html" target="_self">is_ratio</a></td><td class="desc">Trait that tests whether a type represents a std::ratio </td></tr>
<tr id="row_1_0_35_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__same__scale.html" target="_self">is_same_scale</a></td><td class="desc">Trait which tests whether two types has the same non-linear scale </td></tr>
<tr id="row_1_0_36_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__scalar__unit.html" target="_self">is_scalar_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_37_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__solid__angle__unit.html" target="_self">is_solid_angle_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_38_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__substance__unit.html" target="_self">is_substance_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_39_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__temperature__unit.html" target="_self">is_temperature_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_40_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__time__unit.html" target="_self">is_time_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_41_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__torque__unit.html" target="_self">is_torque_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_42_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit.html" target="_self">is_unit</a></td><td class="desc">Traits which tests if a class is a <code>unit</code> </td></tr>
<tr id="row_1_0_43_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit__t.html" target="_self">is_unit_t</a></td><td class="desc">Traits which tests if a class is a <code>unit</code> </td></tr>
<tr id="row_1_0_44_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit__value__t.html" target="_self">is_unit_value_t</a></td><td class="desc">Trait which tests whether a type is a <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> representing the given unit type </td></tr>
<tr id="row_1_0_45_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit__value__t__category.html" target="_self">is_unit_value_t_category</a></td><td class="desc">Trait which tests whether type T is a <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> with a unit type in the given category </td></tr>
<tr id="row_1_0_46_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__velocity__unit.html" target="_self">is_velocity_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_47_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__voltage__unit.html" target="_self">is_voltage_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_0_48_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__volume__unit.html" target="_self">is_volume_unit</a></td><td class="desc"></td></tr>
<tr id="row_1_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1base__unit.html" target="_self">base_unit</a></td><td class="desc">Class representing SI base unit types </td></tr>
<tr id="row_1_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1decibel__scale.html" target="_self">decibel_scale</a></td><td class="desc">Unit_t scale for representing decibel values </td></tr>
<tr id="row_1_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1linear__scale.html" target="_self">linear_scale</a></td><td class="desc">Unit_t scale which is linear </td></tr>
<tr id="row_1_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit.html" target="_self">unit</a></td><td class="desc">Type representing an arbitrary unit </td></tr>
<tr id="row_1_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classunits_1_1unit__t.html" target="_self">unit_t</a></td><td class="desc">Container for values which represent quantities of a given unit </td></tr>
<tr id="row_1_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__add.html" target="_self">unit_value_add</a></td><td class="desc">Adds two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_1_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__divide.html" target="_self">unit_value_divide</a></td><td class="desc">Divides two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_1_8_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__multiply.html" target="_self">unit_value_multiply</a></td><td class="desc">Multiplies two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_1_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__power.html" target="_self">unit_value_power</a></td><td class="desc">Raises unit_value_to a power at compile-time </td></tr>
<tr id="row_1_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__sqrt.html" target="_self">unit_value_sqrt</a></td><td class="desc">Calculates square root of <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> at compile-time </td></tr>
<tr id="row_1_11_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__subtract.html" target="_self">unit_value_subtract</a></td><td class="desc">Subtracts two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_1_12_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__t.html" target="_self">unit_value_t</a></td><td class="desc">Stores a rational unit value as a compile-time constant </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:58 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
